package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkProfitAdapter extends BaseQuickAdapter<ProPriceBean.RecordsBean, BaseViewHolder> {

    public WorkProfitAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, ProPriceBean.RecordsBean item) {
        helper.setText(R.id.tv_price, MathUtils.converData(item.getNewPrice(),3));
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_person, "提交人:".concat(item.getCreatedByName()));
        helper.setText(R.id.tv_remark, "备注:".concat(item.getRemark()));
    }
}

